import AuthData from './Pool/AuthData';

/* eslint-disable */
const onlyAuthData = new AuthData


// 定义全局状态信息
const state = {
    projectName: 'school_district_center',
    menuName: 'ACTION', // 菜单模块 module(默认为空查全部) SYSTEM 系统管理， VISITOR 进出入管理， CHECK 学区安全上报
    loading: false,
    isLoginout: false,
    userInfo: null
}

const mixin = {
    data() {
        return {
            AuthData: onlyAuthData,
            guid: 1,
            state: state,
            buttonAuthority: sessionStorage.getItem("userInfo") || ""
        };
    },
    computed: {
        isAdmin() {
            if (
                sessionStorage.getItem("userInfo") &&
                sessionStorage.getItem("userInfo") !== ""
            ) {
                let loginName = JSON.parse(sessionStorage.getItem("userInfo")).username;
                return loginName === "superadmin" || loginName === "basic";
            }

            return false;
        },

        isMember() {
            let permissions = JSON.parse(this.buttonAuthority).permissions;
            return !permissions.length
        }
    },
    methods: {
        isShow(authority) {
            if (this.isAdmin) {
                return true
            } else if (
                this.buttonAuthority.indexOf(authority) > -1
            ) {
                return true
            }
            return false
        }
    }
};
export default mixin;